IDP public API

CHG IdentityProvider API v1

2.3.44.0OAS 3.1

Authentication

A valid access token is required to try out these endpoints below. Please create a token using Postman and a valid client configuration or retrieve a new token from the token endpoint described here.

Caution

Deprecated api endpoints will be removed one year after the deprecation was announced/new api version was published.

Errors

This API uses conventional HTTP response codes to indicate the success or failure of an API request.
In general: Codes in the 2xx range indicate success. Codes in the 4xx range indicate an error that failed given the information provided (e.g., a required parameter was omitted, an user was not found, etc.).
Codes in the 5xx range indicate an error with the API servers (these are rare).

Errors will be returned as Problem details. This means:

  • A HTTP status code is returned in the HTTP response header

  • Error responses will be of the Content-Type application/problem, appending a serialization format of either json or xml: application/problem+json, application/problem+xml

  • Error responses will have each of the following keys:

  • type (string): A URL to a document describing the error condition (optional, and “about:blank” is assumed if none is provided; should resolve to a human-readable document).

  • title (string): A short, human-readable title for the general error type.

  • status (number): Conveying of the HTTP status code so that all information is in one place.

  • detail (string): An optional human-readable description of the specific error.

Examples:

{
    "type": "https://httpstatuses.com/401",
    "title": "Unauthorized",
    "status": 401
}

Validation errors, like invalid parameters, describes each error in an object array called errors with following properties:

  • message (string): a human readable error description
  • errorCode (number): An optional custom defined unique addressable id of this type of error. This is important that machines/code can react on this type of error.
  • source (string): The property or object of the error. This property should belong to the request object.
{
    "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
	"title": "One or more validation errors occurred.",
	"status": 400,
	"traceId": "|20cd3843-4b3a2f6ccb6993ea.",
	"errors": [
		{
			"source": "UserId"		
			"message": "Invalid user '1234'."
			"errorCode": 123
		}
	]
}
API Base URL
Security
oauth2 (apiKey)

Standard Authorization header using the Bearer scheme. Example: “bearer {token}”

Retrieves a user object by the given id. (Auth scopes: identityprovider_service_api, identityprovider_users_api)

This endpoint provides access to retrieve user information.

get
/api/v1/users/{id}

Path Parameters

idstringrequired

The unique user id or user name

Response

application/json

OK

User

* Additional properties are NOT allowed.
claimsnull | array[object]
* Additional properties are NOT allowed.
Show Child Parameters
emailnull | string
emailConfirmedboolean
firstNamenull | string
idnull | string
isBlockedboolean
isDeletedboolean
lastNamenull | string
lockoutEndnull | string(date-time)
phoneNumbernull | string
rolesnull | array[object]
* Additional properties are NOT allowed.
Show Child Parameters
userNamenull | string
application/json

Retrieves the logins (login providers) used for a user (Auth scopes: identityprovider_service_api, identityprovider_users_api)

This endpoint provides access to retrieve user information.

get
/api/v1/users/{id}/logins

Path Parameters

idstringrequired

The unique user id or user name

Response

application/json

OK

Represents a login and its associated provider for a user.

* Additional properties are NOT allowed.
loginProvidernull | string
providerDisplayNamenull | string
providerKeynull | string
application/json

ProblemDetails

object
detailnull | string
instancenull | string
statusnull | integer(int32)
titlenull | string
typenull | string
Example